Subject: Re: [bug#34978] Enable support for veyron chrombooks

From: Vagrant Cascadian <[email-masked]>
Date: Wed, 27 Mar 2019 08:14:25 -0700

On 2019-03-27, Efraim Flashner wrote:
> On Tue, Mar 26, 2019 at 03:50:24PM -0700, Vagrant Cascadian wrote:
>> On 2019-03-24, Vagrant Cascadian <[email-masked]> wrote:
>> > On 2019-03-24, Vagrant Cascadian wrote:
>> >> Attached is a patch series that adds a linux-libre kernel variant for
>> >> "veyron" type chromebooks, tested on an Asus-C201
>> >> (a.k.a. veyron-speedy), and corresponding support for installing the
>> >> kernel so that the "depthcharge" bootloader can boot it, and an example
>> >> system config used on the veyron-speedy. It may also work on other
>> >> veyron models; they are untested.
...
>> "guix system reconfigure" works just fine when done from a checkout
>> (e.g. ./pre-inst-env guix system reconfigure ...), but unfortunately, if
>> I guix pull the very same commit:
>> 
>>   $ guix system reconfigure /home/vagrant/src/config/asus-c201-spdygx.scm
>>   guix system: error: failed to load '/home/vagrant/src/config/asus-c201-spdygx.scm':
>>   ice-9/boot-9.scm:2803:6: In procedure resolve-interface:
>>   no code for module (gnu bootloader depthcharge)
>> 
>> How could that happen?
>
> You might need to add the new (non guix-package-*) files to Makefile.am
> too.

None of the other gnu/bootloader/* are added in Makefile.am. It was
added to gnu/local.mk, just like the other bootloaders; This is why I'm
so perplexed... the depthcharge patch mimics the entries for the other
bootloaders, works with ./pre-inst-env, but not when using guix pull to
pull the commit.

live well,
  vagrant